If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

Intermittent remoteautomation.py | application timed out after 330 seconds with no output | java.util.concurrent.TimeoutException: com.android.internal.os.BinderInternal$GcWatcher.finalize() timed out after 10 seconds

REOPENED
Unassigned

Status

()

Firefox for Android
Testing
P3
normal
REOPENED
10 months ago
2 days ago

People

(Reporter: Treeherder Bug Filer, Unassigned)

Tracking

({bulk-close-intermittents, intermittent-failure})

Firefox Tracking Flags

(Not tracked)

Details

(Reporter)

Description

10 months ago
treeherder
Filed by: philringnalda [at] gmail.com

https://treeherder.mozilla.org/logviewer.html#?job_id=40140451&repo=mozilla-inbound

https://queue.taskcluster.net/v1/task/KdgxaT3pRUaz5Lld7mncWA/runs/0/artifacts/public/logs/live_backing.log

Comment 1

10 months ago
mochitest startup crash

[task 2016-12-01T01:02:08.517418Z] 01:02:08     INFO -  11-30 16:53:59.605 E/GeckoCrashHandler(  756): >>> REPORTING UNCAUGHT EXCEPTION FROM THREAD 48 ("FinalizerWatchdogDaemon")
[task 2016-12-01T01:02:08.517503Z] 01:02:08     INFO -  11-30 16:53:59.605 E/GeckoCrashHandler(  756): java.util.concurrent.TimeoutException: com.android.internal.os.BinderInternal$GcWatcher.finalize() timed out after 10 seconds
[task 2016-12-01T01:02:08.517596Z] 01:02:08     INFO -  11-30 16:53:59.605 E/GeckoCrashHandler(  756): 	at com.android.internal.os.BinderInternal$GcWatcher.finalize(BinderInternal.java:47)
[task 2016-12-01T01:02:08.517675Z] 01:02:08     INFO -  11-30 16:53:59.605 E/GeckoCrashHandler(  756): 	at java.lang.Daemons$FinalizerDaemon.doFinalize(Daemons.java:187)
[task 2016-12-01T01:02:08.517750Z] 01:02:08     INFO -  11-30 16:53:59.605 E/GeckoCrashHandler(  756): 	at java.lang.Daemons$FinalizerDaemon.run(Daemons.java:170)
[task 2016-12-01T01:02:08.517834Z] 01:02:08     INFO -  11-30 16:53:59.605 E/GeckoCrashHandler(  756): 	at java.lang.Thread.run(Thread.java:841)
[task 2016-12-01T01:02:08.517898Z] 01:02:08     INFO -  11-30 16:53:59.605 E/GeckoCrashHandler(  756): Main thread (1) stack:
[task 2016-12-01T01:02:08.517971Z] 01:02:08     INFO -  11-30 16:53:59.655 E/GeckoCrashHandler(  756):     android.graphics.BitmapFactory.nativeDecodeAsset(Native Method)
[task 2016-12-01T01:02:08.518044Z] 01:02:08     INFO -  11-30 16:53:59.655 E/GeckoCrashHandler(  756):     android.graphics.BitmapFactory.decodeStream(BitmapFactory.java:503)
[task 2016-12-01T01:02:08.518139Z] 01:02:08     INFO -  11-30 16:53:59.665 E/GeckoCrashHandler(  756):     android.graphics.BitmapFactory.decodeResourceStream(BitmapFactory.java:356)
[task 2016-12-01T01:02:08.518221Z] 01:02:08     INFO -  11-30 16:53:59.675 E/GeckoCrashHandler(  756):     android.graphics.drawable.Drawable.createFromResourceStream(Drawable.java:800)
[task 2016-12-01T01:02:08.518296Z] 01:02:08     INFO -  11-30 16:53:59.675 E/GeckoCrashHandler(  756):     android.content.res.Resources.loadDrawable(Resources.java:2105)
[task 2016-12-01T01:02:08.518372Z] 01:02:08     INFO -  11-30 16:53:59.675 E/GeckoCrashHandler(  756):     android.content.res.Resources.getDrawable(Resources.java:695)
[task 2016-12-01T01:02:08.518444Z] 01:02:08     INFO -  11-30 16:53:59.675 E/GeckoCrashHandler(  756):     android.widget.EdgeEffect.<init>(EdgeEffect.java:138)
[task 2016-12-01T01:02:08.518523Z] 01:02:08     INFO -  11-30 16:53:59.675 E/GeckoCrashHandler(  756):     org.mozilla.gecko.gfx.OverscrollEdgeEffect.<init>(OverscrollEdgeEffect.java:46)
[task 2016-12-01T01:02:08.518591Z] 01:02:08     INFO -  11-30 16:53:59.685 E/GeckoCrashHandler(  756):     org.mozilla.gecko.gfx.LayerView.<init>(LayerView.java:162)
[task 2016-12-01T01:02:08.518659Z] 01:02:08     INFO -  11-30 16:53:59.685 E/GeckoCrashHandler(  756):     org.mozilla.gecko.gfx.LayerView.<init>(LayerView.java:166)
[task 2016-12-01T01:02:08.518730Z] 01:02:08     INFO -  11-30 16:53:59.685 E/GeckoCrashHandler(  756):     org.mozilla.gecko.GeckoView.<init>(GeckoView.java:115)
[task 2016-12-01T01:02:08.518817Z] 01:02:08     INFO -  11-30 16:53:59.695 E/GeckoCrashHandler(  756):     org.mozilla.gecko.GeckoViewFragment.onCreateView(GeckoViewFragment.java:32)
[task 2016-12-01T01:02:08.518889Z] 01:02:08     INFO -  11-30 16:53:59.695 E/GeckoCrashHandler(  756):     android.support.v4.app.Fragment.performCreateView(Unknown Source)
[task 2016-12-01T01:02:08.518962Z] 01:02:08     INFO -  11-30 16:53:59.695 E/GeckoCrashHandler(  756):     android.support.v4.app.FragmentManagerImpl.moveToState(Unknown Source)
[task 2016-12-01T01:02:08.519065Z] 01:02:08     INFO -  11-30 16:53:59.695 E/GeckoCrashHandler(  756):     android.support.v4.app.FragmentManagerImpl.moveToState(Unknown Source)
[task 2016-12-01T01:02:08.519140Z] 01:02:08     INFO -  11-30 16:54:02.655 E/GeckoCrashHandler(  756):     android.support.v4.app.FragmentManagerImpl.addFragment(Unknown Source)
[task 2016-12-01T01:02:08.519210Z] 01:02:08     INFO -  11-30 16:54:02.655 E/GeckoCrashHandler(  756):     android.support.v4.app.FragmentManagerImpl.onCreateView(Unknown Source)
[task 2016-12-01T01:02:08.519301Z] 01:02:08     INFO -  11-30 16:54:02.655 E/GeckoCrashHandler(  756):     android.support.v4.app.FragmentController.onCreateView(Unknown Source)
[task 2016-12-01T01:02:08.519383Z] 01:02:08     INFO -  11-30 16:54:02.655 E/GeckoCrashHandler(  756):     android.support.v4.app.FragmentActivity.dispatchFragmentsOnCreateView(Unknown Source)
[task 2016-12-01T01:02:08.519460Z] 01:02:08     INFO -  11-30 16:54:02.655 E/GeckoCrashHandler(  756):     android.support.v4.app.BaseFragmentActivityHoneycomb.onCreateView(Unknown Source)
[task 2016-12-01T01:02:08.519530Z] 01:02:08     INFO -  11-30 16:54:02.655 E/GeckoCrashHandler(  756):     android.support.v4.app.FragmentActivity.onCreateView(Unknown Source)
[task 2016-12-01T01:02:08.519614Z] 01:02:08     INFO -  11-30 16:54:02.665 E/GeckoCrashHandler(  756):     android.view.LayoutInflater.createViewFromTag(LayoutInflater.java:689)
[task 2016-12-01T01:02:08.519685Z] 01:02:08     INFO -  11-30 16:54:02.665 E/GeckoCrashHandler(  756):     android.view.LayoutInflater.rInflate(LayoutInflater.java:755)
[task 2016-12-01T01:02:08.519758Z] 01:02:08     INFO -  11-30 16:54:02.665 E/GeckoCrashHandler(  756):     android.view.LayoutInflater.rInflate(LayoutInflater.java:758)
[task 2016-12-01T01:02:08.519847Z] 01:02:08     INFO -  11-30 16:54:02.665 E/GeckoCrashHandler(  756):     android.view.LayoutInflater.rInflate(LayoutInflater.java:758)
[task 2016-12-01T01:02:08.519922Z] 01:02:08     INFO -  11-30 16:54:02.665 E/GeckoCrashHandler(  756):     android.view.LayoutInflater.inflate(LayoutInflater.java:492)
[task 2016-12-01T01:02:08.519996Z] 01:02:08     INFO -  11-30 16:54:02.665 E/GeckoCrashHandler(  756):     android.view.LayoutInflater.inflate(LayoutInflater.java:397)
[task 2016-12-01T01:02:08.520064Z] 01:02:08     INFO -  11-30 16:54:02.675 E/GeckoCrashHandler(  756):     android.view.LayoutInflater.inflate(LayoutInflater.java:353)
[task 2016-12-01T01:02:08.520156Z] 01:02:08     INFO -  11-30 16:54:02.675 E/GeckoCrashHandler(  756):     android.support.v7.app.AppCompatDelegateImplV7.setContentView(Unknown Source)
[task 2016-12-01T01:02:08.520228Z] 01:02:08     INFO -  11-30 16:54:02.685 E/GeckoCrashHandler(  756):     android.support.v7.app.AppCompatActivity.setContentView(Unknown Source)
[task 2016-12-01T01:02:08.520299Z] 01:02:08     INFO -  11-30 16:54:02.685 E/GeckoCrashHandler(  756):     org.mozilla.gecko.GeckoApp.onCreate(GeckoApp.java:1226)
[task 2016-12-01T01:02:08.520391Z] 01:02:08     INFO -  11-30 16:54:02.685 E/GeckoCrashHandler(  756):     org.mozilla.gecko.BrowserApp.onCreate(BrowserApp.java:615)
[task 2016-12-01T01:02:08.520461Z] 01:02:08     INFO -  11-30 16:54:02.685 E/GeckoCrashHandler(  756):     android.app.Activity.performCreate(Activity.java:5133)
[task 2016-12-01T01:02:08.520534Z] 01:02:08     INFO -  11-30 16:54:02.685 E/GeckoCrashHandler(  756):     android.app.Instrumentation.callActivityOnCreate(Instrumentation.java:1087)
[task 2016-12-01T01:02:08.520643Z] 01:02:08     INFO -  11-30 16:54:02.685 E/GeckoCrashHandler(  756):     android.app.ActivityThread.performLaunchActivity(ActivityThread.java:2175)
[task 2016-12-01T01:02:08.520718Z] 01:02:08     INFO -  11-30 16:54:02.695 E/GeckoCrashHandler(  756):     android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:2261)
[task 2016-12-01T01:02:08.520791Z] 01:02:08     INFO -  11-30 16:54:02.695 E/GeckoCrashHandler(  756):     android.app.ActivityThread.access$600(ActivityThread.java:141)
[task 2016-12-01T01:02:08.520867Z] 01:02:08     INFO -  11-30 16:54:02.695 E/GeckoCrashHandler(  756):     android.app.ActivityThread$H.handleMessage(ActivityThread.java:1256)
[task 2016-12-01T01:02:08.520947Z] 01:02:08     INFO -  11-30 16:54:02.705 E/GeckoCrashHandler(  756):     android.os.Handler.dispatchMessage(Handler.java:99)
[task 2016-12-01T01:02:08.521015Z] 01:02:08     INFO -  11-30 16:54:02.705 E/GeckoCrashHandler(  756):     android.os.Looper.loop(Looper.java:137)
[task 2016-12-01T01:02:08.521086Z] 01:02:08     INFO -  11-30 16:54:02.705 E/GeckoCrashHandler(  756):     android.app.ActivityThread.main(ActivityThread.java:5103)
[task 2016-12-01T01:02:08.521170Z] 01:02:08     INFO -  11-30 16:54:02.705 E/GeckoCrashHandler(  756):     java.lang.reflect.Method.invokeNative(Native Method)
[task 2016-12-01T01:02:08.521270Z] 01:02:08     INFO -  11-30 16:54:02.715 I/dalvikvm(  756): Failed resolving Lorg/mozilla/gecko/GeckoAccessibility$5; interface 2669 'Landroid/view/accessibility/AccessibilityManager$TouchExplorationStateChangeListener;'
[task 2016-12-01T01:02:08.521341Z] 01:02:08     INFO -  11-30 16:54:02.715 W/dalvikvm(  756): Link of class 'Lorg/mozilla/gecko/GeckoAccessibility$5;' failed
[task 2016-12-01T01:02:08.521459Z] 01:02:08     INFO -  11-30 16:54:02.715 E/dalvikvm(  756): Could not find class 'org.mozilla.gecko.GeckoAccessibility$5', referenced from method org.mozilla.gecko.GeckoAccessibility.setAccessibilityManagerListeners
[task 2016-12-01T01:02:08.521548Z] 01:02:08     INFO -  11-30 16:54:02.715 W/dalvikvm(  756): VFY: unable to resolve new-instance 5163 (Lorg/mozilla/gecko/GeckoAccessibility$5;) in Lorg/mozilla/gecko/GeckoAccessibility;
[task 2016-12-01T01:02:08.521615Z] 01:02:08     INFO -  11-30 16:54:02.715 E/GeckoCrashHandler(  756):     java.lang.reflect.Method.invoke(Method.java:525)
[task 2016-12-01T01:02:08.521707Z] 01:02:08     INFO -  11-30 16:54:02.725 E/GeckoCrashHandler(  756):     com.android.internal.os.ZygoteInit$MethodAndArgsCaller.run(ZygoteInit.java:737)
[task 2016-12-01T01:02:08.521782Z] 01:02:08     INFO -  11-30 16:54:02.725 E/GeckoCrashHandler(  756):     com.android.internal.os.ZygoteInit.main(ZygoteInit.java:553)
[task 2016-12-01T01:02:08.521852Z] 01:02:08     INFO -  11-30 16:54:02.725 E/GeckoCrashHandler(  756):     dalvik.system.NativeStart.main(Native Method)
[task 2016-12-01T01:02:08.521960Z] 01:02:08     INFO -  11-30 16:54:02.725 W/dalvikvm(  756): No implementation found for native Lorg/mozilla/gecko/GeckoAppShell;.reportJavaCrash:(Ljava/lang/Throwable;Ljava/lang/String;)V
[task 2016-12-01T01:02:08.522061Z] 01:02:08     INFO -  11-30 16:54:02.735 I/dalvikvm(  756): Failed resolving Lorg/mozilla/gecko/GeckoAccessibility$5; interface 2669 'Landroid/view/accessibility/AccessibilityManager$TouchExplorationStateChangeListener;'
[task 2016-12-01T01:02:08.522133Z] 01:02:08     INFO -  11-30 16:54:02.735 W/dalvikvm(  756): Link of class 'Lorg/mozilla/gecko/GeckoAccessibility$5;' failed
Priority: -- → P3
See Also: → bug 1307640

Comment 2

10 months ago
snorp - I've seen a few of failures due to "java.util.concurrent.TimeoutException: com.android.internal.os.BinderInternal$GcWatcher.finalize() timed out after 10 seconds" lately. Can you think of any way to protect against it?
Flags: needinfo?(snorp)

Updated

9 months ago
See Also: → bug 1324332

Updated

9 months ago
See Also: → bug 1325803

Updated

9 months ago
See Also: → bug 1325737

Updated

8 months ago
Summary: Intermittent remoteautomation.py | application timed out after 330 seconds with no output → Intermittent remoteautomation.py | application timed out after 330 seconds with no output | java.util.concurrent.TimeoutException: com.android.internal.os.BinderInternal$GcWatcher.finalize() timed out after 10 seconds
Duplicate of this bug: 1316495
Duplicate of this bug: 1324332
Duplicate of this bug: 1325737

Comment 6

8 months ago
5 failures in 749 pushes (0.007 failures/push) were associated with this bug in the last 7 days.  

Repository breakdown:
* mozilla-inbound: 4
* autoland: 1

Platform breakdown:
* android-4-3-armv7-api15: 5

For more details, see:
https://brasstacks.mozilla.com/orangefactor/?display=Bug&bugid=1321464&startday=2017-01-23&endday=2017-01-29&tree=all

Updated

7 months ago
See Also: → bug 1335244
Duplicate of this bug: 1339423
Seems like maybe an Android bug? Regardless, not enough traffic on this one to warrant much investigation yet.
Flags: needinfo?(snorp)
Status: NEW → RESOLVED
Last Resolved: 2 months ago
Keywords: bulk-close-intermittents
Resolution: --- → INCOMPLETE
Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---
Duplicate of this bug: 1400808
Duplicate of this bug: 1396671
Duplicate of this bug: 1356301
You need to log in before you can comment on or make changes to this bug.